Bug 439257 - Corrupted DWARF expression
Summary: Corrupted DWARF expression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdb
Version: 4.6
Hardware: ia64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jan Kratochvil
QA Contact:
URL: http://www.cygwin.com/ml/gdb-patches/...
Whiteboard:
Depends On: 439234
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-27 18:40 UTC by Jan Kratochvil
Modified: 2008-07-24 19:57 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0717
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-24 19:57:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0717 normal SHIPPED_LIVE gdb bug fix update 2008-07-23 16:16:02 UTC

Description Jan Kratochvil 2008-03-27 18:40:02 UTC
+++ This bug was initially created as a clone of Bug #439234 +++

Description of problem:

The problem occurs with a large program that I am debugging. It has been
correctly diagnosed and fixed in the URL. It is fixed in later versions of GDB
too (6.7 for sure).

Version-Release number of selected component (if applicable):
gdb-6.3.0.0-1.156.el4.src (only verified the problem exists in the source)

How reproducible:
I guess while debugging large programs, try and print some values.
  
Actual results:
dwarf2_read_address: Corrupted DWARF expression.

Expected results:
values for variables.

Additional info:

Comment 2 RHEL Product and Program Management 2008-03-27 18:59:23 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Jan Kratochvil 2008-04-01 16:34:50 UTC
Fixed in HEAD by upstream:
http://sourceware.org/ml/gdb-patches/2007-01/msg00561.html


Comment 14 errata-xmlrpc 2008-07-24 19:57:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0717.html


Note You need to log in before you can comment on or make changes to this bug.